Package org.apache.bcel.classfile

# Class RuntimeVisibleParameterAnnotations

java.lang.Object
org.apache.bcel.classfile.Attribute
org.apache.bcel.classfile.ParameterAnnotations
org.apache.bcel.classfile.RuntimeVisibleParameterAnnotations

All Implemented Interfaces:
  `Cloneable`, `Iterable<ParameterAnnotationEntry>`, `Node`

public class RuntimeVisibleParameterAnnotations extends ParameterAnnotations
Represents a parameter annotation that is represented in the class file and is provided to the JVM.

Since:
  6.0

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.classfile.Attribute

  `constant_pool, EMPTY_ARRAY, length, name_index, tag`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RuntimeVisibleParameterAnnotations(int nameIndex, int length, DataInput input, ConstantPool constantPool)`

- ## Method Summary

  ### Methods inherited from class org.apache.bcel.classfile.ParameterAnnotations

  `accept, copy, dump, getParameterAnnotationEntries, getParameterAnnotationTable, iterator, setParameterAnnotationTable`

  ### Methods inherited from class org.apache.bcel.classfile.Attribute

  `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, println, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### RuntimeVisibleParameterAnnotations

    public RuntimeVisibleParameterAnnotations(int nameIndex, int length, DataInput input, ConstantPool constantPool) throws IOException
    Parameters:
      `nameIndex` - Index pointing to the name Code
      `length` - Content length in bytes
      `input` - Input stream
      `constantPool` - Array of constants
    Throws:
      `IOException` - Thrown when an I/O exception of some sort has occurred.